import jaggl.OpenGL;

public class Class147_Sub2 extends Class147 {

   int anInt9895;
   int anInt9896;
   int anInt9897;


   void method15429(int var1, int var2, int var3, int var4, int var5, int var6, int var7) {
      this.aClass545_Sub1_1704.method14725(this);
      OpenGL.glCopyTexSubImage3D(this.anInt1702, 0, var1, var2, var3, var6, var7, var4, var5);
      OpenGL.glFlush();
   }

   void method15430(int var1, int var2, int var3, int var4, int var5, int var6, int var7) {
      this.aClass545_Sub1_1704.method14725(this);
      OpenGL.glCopyTexSubImage3D(this.anInt1702, 0, var1, var2, var3, var6, var7, var4, var5);
      OpenGL.glFlush();
   }

   void method15431(int var1, int var2, int var3, int var4, int var5, int var6, int var7) {
      this.aClass545_Sub1_1704.method14725(this);
      OpenGL.glCopyTexSubImage3D(this.anInt1702, 0, var1, var2, var3, var6, var7, var4, var5);
      OpenGL.glFlush();
   }

   Class147_Sub2(Class545_Sub1 var1, Class98 var2, Class91 var3, int var4, int var5, int var6, byte[] var7, Class98 var8) {
      super(var1, '\u806f', var2, var3, var4 * var5 * var6, false);
      this.anInt9897 = var4;
      this.anInt9896 = var5;
      this.anInt9895 = var6;
      this.aClass545_Sub1_1704.method14725(this);
      OpenGL.glPixelStorei(3317, 1);
      OpenGL.glTexImage3Dub(this.anInt1702, 0, Class545_Sub1.method14609(this.aClass98_1707, this.aClass91_1703), this.anInt9897, this.anInt9896, this.anInt9895, 0, Class545_Sub1.method14567(var8), 5121, var7, 0);
      OpenGL.glPixelStorei(3317, 4);
      this.method2694(true);
   }

   Class147_Sub2(Class545_Sub1 var1, Class98 var2, Class91 var3, int var4, int var5, int var6) {
      super(var1, '\u806f', var2, var3, var4 * var5 * var6, false);
      this.anInt9897 = var4;
      this.anInt9896 = var5;
      this.anInt9895 = var6;
      this.aClass545_Sub1_1704.method14725(this);
      OpenGL.glTexImage3Dub(this.anInt1702, 0, Class545_Sub1.method14609(this.aClass98_1707, this.aClass91_1703), this.anInt9897, this.anInt9896, this.anInt9895, 0, Class545_Sub1.method14567(this.aClass98_1707), 5121, (byte[])null, 0);
      this.method2694(true);
   }
}
